!###############################################################################
  MODULE fun_param

! Parameters for the FUN (Fixation and Uptake of Nitrogen) model.

! Scalar variables.
  INTEGER :: fun_period  !  FUN period (days)
  INTEGER :: nstepFUN !  Number of steps in the integration
  REAL :: s_FIX       !  Inverts Houlton et al. 2008 and constrains
!                                          between 7.5 and 12.5   
  REAL :: a_FIX       !  As in Houlton et al. (Nature) 2008  
  REAL :: b_FIX       !  As in Houlton et al. (Nature) 2008  
  REAL :: c_FIX       !  As in Houlton et al. (Nature) 2008
  REAL :: kC_ACTIVE   !  Constant for cost of active uptake (kgC m-2)
  REAL :: kN_ACTIVE   !  Constant for cost of active uptake (kgC m-2)
  REAL :: kR_RESORB   !  Constant for cost of retranslocation of N from falling
!                        leaves (kgC m-2)

  END MODULE fun_param
!###############################################################################
