!###############################################################################
!###############################################################################

  MODULE fun_var

! Declares variables for the FUN model.

  IMPLICIT NONE

  SAVE   !  this prevents variables ever becoming undefined

!-------------------------------------------------------------------------------
! Global (i.e. public) declarations.
!-------------------------------------------------------------------------------

!-------------------------------------------------------------------------------
! Global arrays.
!-------------------------------------------------------------------------------
  REAL, ALLOCATABLE :: npp_acc_fun(:,:)    !  NPP accumulated over FUN timestep (kgC m-2)
  REAL, ALLOCATABLE :: transp_acc_fun(:,:) !  Transpiration accumulated over FUN timestep (kg m-2)

! Dianostics.
  REAL, ALLOCATABLE :: leaf_litter_cn_ratio(:,:)
!                           C:N ratio of leaf litter (kgN/kgC)
  REAL, ALLOCATABLE :: Nactive(:,:)
!                           N acquired by active uptake (kgN m-2 s-1)
  REAL, ALLOCATABLE :: Ndemand(:,:)
!                           N demand from plants (kgN m-2 s-1)
  REAL, ALLOCATABLE :: Nfix(:,:)
!                           N acquired by fixing (kgN m-2 s-1)
  REAL, ALLOCATABLE :: Npassive(:,:)
!                           N acquired by passive uptake (kgN m-2 s-1)
  REAL, ALLOCATABLE :: npp_Nactive(:,:)
!                           NPP reduction to pay for active uptake of N
!                           (kgC m-2 s-1)
  REAL, ALLOCATABLE :: npp_Nfix(:,:)
!                           NPP reduction to pay for fixing N  (kgC m-2 s-1)
  REAL, ALLOCATABLE :: npp_Nretrans(:,:)
!                           NPP reduction to pay for retranslocation of N
!                           (kgC m-2 s-1)
  REAL, ALLOCATABLE :: npp_Nuptake(:,:)
!                           Total NPP reduction to pay for N (kgC m-2 s-1)
  REAL, ALLOCATABLE :: Nretrans(:,:)
!                           N acquired by retranslocation (kgN m-2 s-1)
  REAL, ALLOCATABLE :: Nuptake(:,:)
!                           Total N acquired by plants through passive and
!                           active uptake, fixing and retranslocation
!                           (kgN m-2 s-1)

  END MODULE fun_var

!###############################################################################
!###############################################################################
